=== debian/changelog ===
ros-noetic-moveit-calibration-gui (0.1.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Yu Yan <yu.yan@intel.com>  Thu, 13 May 2021 03:40:16 -0000
