=== debian/control ===
Source: ros-noetic-moveit-calibration-gui
Section: misc
Priority: optional
Maintainer: Yu Yan <yu.yan@intel.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, pkg-config, qtbase5-dev, ros-noetic-catkin, ros-noetic-class-loader, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-image-geometry, ros-noetic-moveit-calibration-plugins, ros-noetic-moveit-core, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-visual-tools, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-rviz, ros-noetic-rviz-visual-tools, ros-noetic-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-calibration-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-moveit-calibration-plugins, ros-noetic-moveit-core, ros-noetic-moveit-ros-perception, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-planning-interface, ros-noetic-moveit-ros-visualization, ros-noetic-moveit-visual-tools, ros-noetic-pluginlib (>= 1.11.2), ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rviz, ros-noetic-rviz-visual-tools, ros-noetic-tf2-eigen
Description: MoveIt calibration gui
